Search Support

Beware of phishing attacks: Mozilla will never ask you to call a number or visit a non-Mozilla website. Please ignore such requests.

Learn More

Legacy plug-in support on Firefox for Enterprise

  • 3 odgovori
  • 1 ima ovaj problem
  • 4463 views
  • Posljednji odgovor poslao James

more options

Hi,

I am looking for a newer version of Mozilla Firefox for Enterprise that supports legacy plug-ins. At my work, we use Java 6 31 for Documentum and Java 8 101 to support our Oracle based applications. We currently use Firefox v54 to retain plug-in support. Is there a newer enterprise version we can use and retain support for these business critical applications?

Thanks, Brandon

Izabrano rješenje

Firefox 52 and later Releases only allows the NPAPI Flash Player Plugin from Adobe to run. https://support.mozilla.org/en-US/kb/npapi-plugins

You can use the now legacy Firefox 52 ESR so you can use other NPAPI Plugins in Firefox such as the Java Plugin from Oracle. For Windows you need the 32-bit version as the 64-bit (Win64) Firefox only allows Flash Player and Silverlight Plugins to run.

Firefox 52.8.0esr is the current as the 52.9.0esr out on June 26 will be the last major update apart from any 52.9.X esr minor updates for security and or allowed stability fixes.

https://www.mozilla.org/firefox/organizations/

Pročitajte ovaj odgovor sa objašnjenjem 👍 0

All Replies (3)

more options

Odabrano rješenje

Firefox 52 and later Releases only allows the NPAPI Flash Player Plugin from Adobe to run. https://support.mozilla.org/en-US/kb/npapi-plugins

You can use the now legacy Firefox 52 ESR so you can use other NPAPI Plugins in Firefox such as the Java Plugin from Oracle. For Windows you need the 32-bit version as the 64-bit (Win64) Firefox only allows Flash Player and Silverlight Plugins to run.

Firefox 52.8.0esr is the current as the 52.9.0esr out on June 26 will be the last major update apart from any 52.9.X esr minor updates for security and or allowed stability fixes.

https://www.mozilla.org/firefox/organizations/

more options

Firefox 52 is actually officially supported until September 5, but otherwise, the response above is correct.

Firefox 52 ESR is the only official supported mechanism for running legacy plugins.

more options

I mentioned June 26 as the release date for the last major update for 52 ESR which is 52.9.0 ESR however yes the 52 ESR will not be made EOL until 60.2.0 ESR is released on Sept 5.